%define upstream_name    Uniq
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl extension for managing list of values
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
	The usage of the methods provided here is simple. You always provide
	a sorted list to any of these methods and accept a sorted list of
	values in return.

	Suppose @lis1 and @list2 are two available lists defined as
	follows:

	@list_1 = qw ( first list of values );
	@list_1 = qw ( second list of values );

	and we run the following commands:

	my @output_1 = uniq sort @list1 @list2;
	my @output_2 = distinct sort @list1 @list2;
	my @output_3 = dups sort @list1 @list2;


	Now @output_1 has qw( first list of second values )
	    @output_2 has qw( first second )
	and @output_3 has qw( list of values )
	
	Thus @output_1 has all values from either input lists sans any
	redundant values. @output_2 has exactly those values that appear
	at most once in combined list. On the other hand @output_3 has
	a list of values that appear multiple times in input.

EXPORT
       Exported are methods
       	1) uniq       [ similar to 'uniq' shell command ]
    	2) distinct   [ similar to 'uniq -u' shell command ]
    	3) dups       [ similar to 'uniq -d' shell command ]

%prep
%setup -q -n %{upstream_name}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-6.mga8
+ Revision: 1497955
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-5.mga7
+ Revision: 1272408
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-4.mga6
+ Revision: 1035512
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.10.0-3.mga6
+ Revision: 935015
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-2.mga5
+ Revision: 750543
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 tv <tv> 0.10.0-1.mga5
+ Revision: 724560
- imported package perl-Uniq


* Thu Sep 25 2014 Thierry Vignaud <tv@mageia.org> 0.10.0-1.mga5
- initial release
